unit OCompsPEd;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls,
     Forms, Dialogs, StdCtrls, Buttons, DsgnIntF, TypInfo, OCompsEd, OComps;

type
  TOLabelCaptionProperty = class(TStringProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;

procedure Register;

implementation

function TOLabelCaptionProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

procedure TOLabelCaptionProperty.Edit;
var
  Form: TOCompsFrm;
begin
  Form := TOCompsFrm.Create(Application);
  Form.OLabelCaption.Text := GetValue;
  try
    if Form.ShowModal = mrOk then SetValue(Form.OLabelCaption.Text);
  finally
    Form.Free;
  end;
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TCaption), TOLabel, 'Caption', TOLabelCaptionProperty);
end;

end.
